org.springframework.http

## Class RequestEntity.UriTemplateRequestEntity<T>

- java.lang.Object
- - org.springframework.http.HttpEntity<T>
  - - org.springframework.http.RequestEntity<T>
    - - org.springframework.http.RequestEntity.UriTemplateRequestEntity<T>

- Type Parameters:
    `T` - the body type
  Enclosing class:
    RequestEntity<T>

      public static class RequestEntity.UriTemplateRequestEntity<T>
      extends RequestEntity<T>

  RequestEntity initialized with a URI template and variables instead of a `URI`.
  Since:
    5.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.http.RequestEntity

      `RequestEntity.BodyBuilder, RequestEntity.HeadersBuilder<B extends RequestEntity.HeadersBuilder<B>>, RequestEntity.UriTemplateRequestEntity<T>`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.http.HttpEntity

      `EMPTY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getUriTemplate()`
    `Object[]` | `getVars()`
    `Map<String,?>` | `getVarsMap()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.http.RequestEntity

      `delete, delete, get, get, getMethod, getType, getUrl, head, head, method, method, method, options, options, patch, patch, post, post, put, put`

    - ### Methods inherited from class org.springframework.http.HttpEntity

      `getBody, getHeaders, hasBody`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getUriTemplate

          public String getUriTemplate()

    - #### getVars

          @Nullable
          public Object[] getVars()

    - #### getVarsMap

          @Nullable
          public Map<String,?> getVarsMap()

    - #### equals

          public boolean equals(@Nullable
                                Object other)

      Overrides:
        `equals` in class `RequestEntity<T>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RequestEntity<T>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `RequestEntity<T>`